from django.contrib import admin
from import_export.admin import ImportExportActionModelAdmin
from unfold.admin import ModelAdmin
from .models import *


@admin.register(Dare)
class Dare(ModelAdmin):
    list_display = ['lang1', 'is_for_adults']
    list_filter = ['is_for_adults']


@admin.register(Truth)
class Truth(ModelAdmin):
    list_display = ['lang1', 'is_for_adults']
    list_filter = ['is_for_adults']


@admin.register(Would_you_rather)
class Would_you_rather(ModelAdmin):
    list_display = ['lang1', 'is_for_adults']
    list_filter = ['is_for_adults']


@admin.register(challenge)
class Challenge(ModelAdmin):
    list_display = ['type']

@admin.register(abjad)
class abjad(ModelAdmin):
    list_display = ['word', 'difficulty_type', 'answer']
    list_filter = ['difficulty_type']



@admin.register(MusicModel)
class MusicAdmin(ModelAdmin):
    list_display = ['name', 'message_id', 'singer', 'category', 'trand']

@admin.register(MovieModel)
class MovieAdmin(ModelAdmin):
    list_display = ['name', 'message_id', 'category', 'receommended']

@admin.register(MovieCategory)
class MovieCategoryAdmin(ModelAdmin):
    pass

@admin.register(MusicCategory)
class MusicCategoryAdmin(ModelAdmin):
    pass